Skip to main content
PUT
Update Skill

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

skill_id
string<uuid>
required
workspace
string
required

Slug of the workspace the request acts in

Maximum string length: 120
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$

Body

application/json

Request to update a skill.

content
string | null

New content (only for content-type skills)

description
string | null

New description

Maximum string length: 1000
name
string | null

New name

Required string length: 1 - 255

Response

Successful Response

Skill response model.

created_at
string
required
description
string | null
required
id
string
required
name
string
required
network_scope
string
required
slug
string
required
source_type
string
required
source_url
string | null
required
updated_at
string
required
workspace_id
string
required
customized
boolean
default:false
is_catalog
boolean
default:false
registry_item_id
string | null
registry_name
string | null
registry_scope
enum<string> | null
Available options:
platform,
workspace
registry_trust
enum<string> | null
Available options:
official,
verified,
community,
private
removed_upstream
boolean
default:false
update_available
boolean
default:false